Subject: [amos-list] Re: TCP commands.
From: Andrew Crowe <[email-masked]>
To: [email-masked]
Date: Mon, 16 Aug 1999 23:35:23 +0000

From: Andrew Crowe <[email-masked]>

Hi Everybody,

> First, you must decide which port you want to use for your game, for example
> 234. Now, you make an entry in inetd, for port 234, that will launch your
> program and send the parameter that contains the incoming port data, for
> example:

   How? None of the InetD setting have anything to do with a port number...

> jamesbond %p (I'm not sure of the format for the variable)
> 
> in your program, you do:
> 
> prt$=Command Line$

   No no no no, that really wouldn't work becuase:

I don't want the game loaded up JUST becuase someone's accessing that port on your computer, that'd be silly as anyone could start JamesBond on your amiga even if you really didn't want to.

   Why not just do

Echo >RAM:tmp %p

and then where the program checks for a connection:

if exist("ram:tmp")
   open in 1,"ram:tmp"

   etc etc...

   Although I still don't see how InetD is supposed to be set up, and having people try to set it up on there own is asking a bit much I think...

   Well, anyway, thanks for trying :)

See ya.
-- 
       Manta Soft  -  Amiga programing & web page designing
     Http://members.tripod.com/~mantasoft/      ICQ: 21829166        
 Homepage updated 5/8/99 --- James Bond on GFX Card & CPU players!
  - ------------------- Quote of the day: -------------------- -
 flamingos in the United States.
--The Miscellanea Digest

--------------------------- ONElist Sponsor ----------------------------

Transfer your big list to ONElist and earn $500!
For program details, go to
http://www.onelist.com/info/biglistbon_intro.html

------------------------------------------------------------------------
Official AMOS WWW: http://members.xoom.com/AmosFactory/front.html